Bug 1483948 - PXE loader is not inherited from the parent hostgroup while creating a nested hostgroup
Summary: PXE loader is not inherited from the parent hostgroup while creating a nested...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Host Group
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: 6.4.0
Assignee: satellite6-bugs
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks: 1485949
TreeView+ depends on / blocked
 
Reported: 2017-08-22 10:53 UTC by Nikhil Kathole
Modified: 2019-11-05 23:07 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1485949 (view as bug list)
Environment:
Last Closed: 2018-10-16 19:09:44 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot of UI (53.35 KB, image/png)
2017-08-22 10:53 UTC, Nikhil Kathole
no flags Details
screenshot of UI (83.58 KB, image/png)
2018-06-19 08:25 UTC, Nikhil Kathole
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 18381 0 None None None 2017-08-22 14:06:48 UTC

Description Nikhil Kathole 2017-08-22 10:53:14 UTC
Created attachment 1316578 [details]
screenshot of UI

Description of problem:  While creating a child/nested hostgroup PXE loader value is not inherited from the Parent hostgroup


Version-Release number of selected component (if applicable):  sat 6.3 snap 12


How reproducible:
 always

Steps to Reproduce:
1. Create parent_hostgroup providing architecture, operating system and PXE loader
2. Navigate to Configure -> Host groups -> Nest parent_hostgroup

Actual results:

PXE loader value is not inherited (Inherit parent (no value)).

Expected results:
PXE loader should be inherited from the parent hostgroup.


Additional info:

Comment 1 Daniel Lobato Garcia 2017-08-22 14:06:45 UTC
Connecting redmine issue http://projects.theforeman.org/issues/18381 from this bug

Comment 2 Daniel Lobato Garcia 2017-08-22 14:08:30 UTC
This should be fixed in upstream now, moving to POST

Comment 4 Roman Plevka 2018-02-16 14:26:20 UTC
this bug prevents provisioning of hosts if the HG doesn't have the pxe loader set.
The NULL value causes the grub configs are not being placed anywhere on TFTP (not even pxelinux.cfg).

Comment 5 Lukas Zapletal 2018-02-16 14:46:29 UTC
Sure, this is not a blocker but important bug that must be in z-stream pretty soon.

WORKAROUND: Set PXE loader for host instead of hostgroup.

Comment 7 Nikhil Kathole 2018-06-19 08:24:12 UTC
VERIFIED

Version tested:
Satellite 6.4 snap 8

Nesting hostgroup successfully inherit pxeloader value.(see attachment)

Comment 8 Nikhil Kathole 2018-06-19 08:25:43 UTC
Created attachment 1452840 [details]
screenshot of UI

Comment 9 Bryan Kearney 2018-10-16 19:09:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.